<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Show User Info in Forums Infusion
| Filename: infusion.php
| Author: Ankur Thakur, Nick Jones
| Version: 1.00
| Developers: Ankur Thakur
|             http://ankurthakur.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."show_userinfo_forum_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."show_userinfo_forum_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."show_userinfo_forum_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_description'];
$inf_version = "1.00";
$inf_developer = "Ankur Thakur";
$inf_email = "thakurboyz2007@gmail.com";
$inf_weburl = "http://ankurthakur.in/";

$inf_folder = "show_userinfo_forum_panel";

// Default Userfields
$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('user_birthdate', '1', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('user_web', '1', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('user_location', '1', '".$inf_folder."')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('user_os', '1', '".$inf_folder."')";
//Main Settings
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('sui_enabled', '1', '".$inf_folder."_setting')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('sui_width', '180', '".$inf_folder."_setting')";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";
$inf_deldbrow[2] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."_setting'";

$inf_adminpanel[1] = array(
	"title" => $locale['inf_title'],
	"image" => "user_fields.gif",
	"panel" => "show_userinfo_forum_panel_admin.php",
	"rights" => "SUI"
);

?>